[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

./packages/openofficeorg/3.0/experimental r1221: - add conditional to decide whether to build with Suns Solver or Koheis



------------------------------------------------------------
revno: 1221
committer: Rene Engelhard <rene@debian.org>
branch nick: debian
timestamp: Fri 2008-08-15 23:33:23 -0300
message:
      - add conditional to decide whether to build with Suns Solver or Koheis
        as ooo-build supports it. Use Suns solver for now
added:
  openoffice.org-calc.postinst.in
  openoffice.org-calc.preinst.in
  openoffice.org-calc.prerm.in
  openoffice.org-calc.script.bug.in
modified:
  changelog
  control
  rules
=== modified file 'changelog'
--- a/changelog	2008-08-14 21:36:28 +0000
+++ b/changelog	2008-08-16 02:33:23 +0000
@@ -6,7 +6,7 @@
       editable) (closes: #490549)
     - package-ooo: fix install to make help land properly in -help-xx.
   * ooo-build:
-    - update (r13575)
+    - update (r13601)
     - src: get OOO300 GSIs from ftp.linux.cz
   * debian/rules:
     - Add SYSTEM_LUCENE conditional, disable it yet as liblucene2-java is
@@ -25,6 +25,8 @@
     - update get-orig-source
     - remove xalan/xerces conditionals, add saxon ones
     - build with OpenJDK
+    - add conditional to decide whether to build with Suns Solver or Koheis
+      as ooo-build supports it. Use Suns solver for now
   * debian/rules, debian/control.help.in: recommend
     liblucene2-java/openoffice.org-java-common. We don't depend on it as we
     don't want to make the help depend on Java (lucene is needed for "search"
@@ -56,7 +58,7 @@
     openoffice.org-headless.lintian-overrides: libvclplug_svp is now in
     -coreXY upstream. Follow.
 
- -- Rene Engelhard <rene@debian.org>  Thu, 14 Aug 2008 18:35:45 -0300
+ -- Rene Engelhard <rene@debian.org>  Fri, 15 Aug 2008 19:03:00 -0300
 
 openoffice.org (1:3.0.0~beta2-1) experimental; urgency=low
 

=== modified file 'control'
--- a/control	2008-08-14 21:36:28 +0000
+++ b/control	2008-08-16 02:33:23 +0000
@@ -166,6 +166,7 @@
  a near drop-in replacement for Microsoft(R) Office.
  .
  This package contains the spreadsheet component for OpenOffice.org.
+ It also contains the scsolver calc solver, replacing Suns solver.
 
 Package: openoffice.org-impress
 Architecture: i386 powerpc sparc mips mipsel armel s390 m68k amd64 ia64 ppc64

=== added file 'openoffice.org-calc.postinst.in'
--- a/openoffice.org-calc.postinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-calc.postinst.in	2008-08-16 02:33:23 +0000
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+THIS_PACKAGE=openoffice.org-wiki-publisher
+THIS_SCRIPT=postinst
+
+#INCLUDE_SHELL_LIB#
+
+if [ "$1" = "configure" -o "$1" = "upgrade" ]; then
+	add_extension /usr/lib/openoffice/share/extension/install/scsolver.uno.oxt
+fi
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-calc.preinst.in'
--- a/openoffice.org-calc.preinst.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-calc.preinst.in	2008-08-16 02:33:23 +0000
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-calc
+
+THIS_PACKAGE=openoffice.org-calc
+THIS_SCRIPT=preinst
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	upgrade)
+		# we might upgrade from a -calc version which hasn't the
+		# extension
+		if /usr/lib/openoffice/program/unopkg list --shared | grep -q org.go-oo.CalcSolver; then
+			remove_extension org.go-oo.CalcSolver
+		fi
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-calc.prerm.in'
--- a/openoffice.org-calc.prerm.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-calc.prerm.in	2008-08-16 02:33:23 +0000
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-calc
+
+THIS_PACKAGE=openoffice.org-calc
+THIS_SCRIPT=prerm
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+	remove)
+		remove_extension org.go-oo.CalcSolver
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-calc.script.bug.in'
--- a/openoffice.org-calc.script.bug.in	1970-01-01 00:00:00 +0000
+++ b/openoffice.org-calc.script.bug.in	2008-08-16 02:33:23 +0000
@@ -0,0 +1,2 @@
+#!/bin/sh
+/usr/lib/openoffice/program/unopkg list --shared org.go-oo.CalcSolver >&3

=== modified file 'rules'
--- a/rules	2008-08-14 21:36:28 +0000
+++ b/rules	2008-08-16 02:33:23 +0000
@@ -181,6 +181,8 @@
 ifeq "$(BUILD_GTK)" "y"
   PACKAGE_NPSOPLUGIN=y
 endif
+# y means Koheis solver
+USE_SCSOLVER=n
 
 # when we have a package we want to have to be installed on older things with some older
 # C++ ABI (like it was the case with openoffice.org2), we need to set this. Don't touch
@@ -210,7 +212,6 @@
 		--with-external-hyph-dir=/usr/share/myspell/dicts \
 		--with-external-thes-dir=/usr/share/myspell/dicts \
 		--with-split \
-		--disable-scsolver \
 		--with-additional-sections="$(ADDITIONAL_SECTIONS)"
 
 # distro-configs is too late; it already gets searched in unpack
@@ -791,6 +792,12 @@
   endif
 endif
 
+ifeq "$(USE_SCSOLVER)" "y"
+	ADDITIONAL_SECTIONS += CalcSolver
+else
+	CONFIGURE_OPTIONS += --disable-scsolver
+endif
+
 ifeq "$(BUILD_GTK)" "n"
 	CONFIGURE_FLAGS+= --disable-gtk
 	DEBHELPER_OPTIONS+= -Nopenoffice.org$(VER)-gtk -Nopenoffice.org$(VER)-gnome
@@ -1348,6 +1355,10 @@
 
 	perl -pi -e 's/Package: openoffice.org$(VER)-help-en-us/Package: openoffice.org$(VER)-help-en-us\nReplaces: openoffice.org$(VER)-common (<< 1:3.0.0~dev300m28)/' debian/control
 
+ifeq "$(USE_SCSOLVER)" "y"
+	perl -pi -e 's/spreadsheet component for OpenOffice.org.$$/spreadsheet component for OpenOffice.org.\n It also contains the scsolver calc solver, replacing Suns solver./' debian/control
+endif
+
 	python debian/scripts/joinctrl.py < debian/control > debian/control.tmp
 	mv debian/control.tmp debian/control
 
@@ -1740,6 +1751,11 @@
 	  done; \
 	done
 
+ifneq "$(USE_SCSOLVER)" "y"
+	rm -f debian/openoffice.org-calc.postinst
+	rm -f debian/openoffice.org-calc.prerm
+endif
+
 	touch $@
 
 # Install files generated by setup into package directories
@@ -2433,6 +2449,11 @@
 		$(PKGDIR)-pdfimport/$(OOBRANDDIR)/share/extension/install/pdfimport.oxt
 endif
 
+ifeq "$(USE_SCSOLVER)" "y"
+	install -D -m644 $(SOURCE_TREE)/scsolver/$(shell . $(SOURCE_TREE)/*.sh; echo $$OUTPATH$$PROEXT)/bin/scsolver.uno.oxt \
+		$(PKGDIR)-calc/$(OOBRANDDIR)/share/extension/install/scsolver.uno.oxt
+endif
+
 	for i in $(ARCH_DEP_PACKAGES); do \
 		install -D -m644 debian/presubj \
 			debian/$$i/usr/share/bug/$$i/presubj; \
@@ -2448,6 +2469,10 @@
 				debian/$$i/usr/share/bug/$$i/script; \
 		fi ;\
 	done
+ifneq "$(USE_SCSOLVER)" "y"
+	rm -f debian/openoffice.org-calc.script
+	rm -f debian/openoffice.org-calc/usr/share/bug/openoffice.org-calc/script
+endif
 
 	touch $@
 
@@ -2925,6 +2950,10 @@
 		done; \
 	done
 	dh_installchangelogs -s -Nlibmythes-dev ooo-build/ChangeLog
+ifeq "$(USE_SCSOLVER)" "y"
+	install -m644 $(SOURCE_TREE)/scsolver/ChangeLog \
+		$(PKGDIR)-calc/usr/share/doc/openoffice.org-calc/ChangeLog.scsolver
+endif
 ifneq "$(USE_EXTERNAL_MYTHES)" "y"
 	dh_installchangelogs -plibmythes-dev
 endif


Reply to: